Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8456/?format=api
{ "ob_id": 8456, "uuid": "89a6078465eca969d258a069647ec120", "title": "Theme 5 (Cryosphere and Polar Oceans) Sea Ice Elevation and Thickness and Ice Sheet Elevation Change: ENVISAT Radar Altimeter 2 (RA-2) 5-year Time Series (2002-2008) of Ice Thickness data", "abstract": "Theme 5 - Cryosphere and Polar Oceans - of the National Centre for Earth Observation (NCEO) is aimed at resolving uncertainties in future climate and sea-level arising from behaviour of the cryosphere. Under this theme, 5 year time series Ice thickness data used by Katharine Giles, Seymour Laxon and Andy Ridout in their paper \"Circumpolar thinning of Arctic sea ice following the 2007 record ice extent minimum\" (Geophysical Research Letters, Vol. 35, L22502, doi:10.1029/2008GL035710, 2008) are presented.", "keywords": "ice, nceo, polar", "publicationState": "published", "dataPublishedTime": "2011-09-04T15:38:00", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8457/?format=api", "dataPath": "/neodc/nceo-cryosphere/data/circumpolar-ice-thickness", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3301, "numberOfFiles": 2, "fileFormat": "BADC-CSV formatted file\r\n\r\n\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2420/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/192/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89552/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89553/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89554/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89555/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89556/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89557/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89558/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89559/?format=api" ], "dataLineage": "Data prepared by authors and sent to the NERC Earth Observation Data Centre (NEODC) where data were re-formatted to use the BADC-CSV (British Atmospheric Data Centre) file format prior to archiving at the NEODC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5404/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8613/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8175/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8455/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42836/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42840/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33608/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33604/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33605/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33606/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33602/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33603/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42837/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54741/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42838/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42839/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/13696/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }